Package com.pixelmed.convert

## Class RawToDicomMultiFrame

- java.lang.Object
- - com.pixelmed.convert.RawToDicomMultiFrame

-     public class RawToDicomMultiFrame
      extends java.lang.Object

  A class for converting raw image input format files into images of a specified or appropriate SOP Class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawToDicomMultiFrame​(java.lang.String formatFileName, java.lang.String inputFileName, java.lang.String outputFileName, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber)` | Read a raw image input format files and create an image of a specified or appropriate SOP Class.

    `RawToDicomMultiFrame​(java.lang.String formatFileName, java.lang.String inputFileName, java.lang.String outputFileName, java.lang.String patientName, java.lang.String patientID, java.lang.String studyID, java.lang.String seriesNumber, java.lang.String instanceNumber, java.lang.String modality, java.lang.String sopClass)`

    Read a raw image input format file and create an image of a specified or appropriate SOP Class.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AttributeList` | `generateDICOMPixelDataModuleAttributesFromNRRDFile​(java.io.File inputFile, RawImageDescription rawImageDesc, AttributeList list)` | Using a raw image input file and header, create DICOM Pixel Data Module attributes.
    `static void` | `main​(java.lang.String[] arg)` | Read a raw multiframe image input format file and create an image of a specified or appropriate SOP Class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawToDicomMultiFrame

          public RawToDicomMultiFrame​(java.lang.String formatFileName,
                                      java.lang.String inputFileName,
                                      java.lang.String outputFileName,
                                      java.lang.String patientName,
                                      java.lang.String patientID,
                                      java.lang.String studyID,
                                      java.lang.String seriesNumber,
                                      java.lang.String instanceNumber)
                               throws java.io.IOException,
                                      DicomException

      Read a raw image input format files and create an image of a specified or appropriate SOP Class.

      Parameters:
        `formatFileName` -
        `inputFileName` -
        `outputFileName` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
      Throws:
        `java.io.IOException`
        `DicomException`

    - #### RawToDicomMultiFrame

          public RawToDicomMultiFrame​(java.lang.String formatFileName,
                                      java.lang.String inputFileName,
                                      java.lang.String outputFileName,
                                      java.lang.String patientName,
                                      java.lang.String patientID,
                                      java.lang.String studyID,
                                      java.lang.String seriesNumber,
                                      java.lang.String instanceNumber,
                                      java.lang.String modality,
                                      java.lang.String sopClass)
                               throws java.io.IOException,
                                      DicomException,
                                      java.lang.NumberFormatException

      Read a raw image input format file and create an image of a specified or appropriate SOP Class.

      Parameters:
        `formatFileName` -
        `inputFileName` -
        `outputFileName` -
        `patientName` -
        `patientID` -
        `studyID` -
        `seriesNumber` -
        `instanceNumber` -
        `modality` - may be null
        `sopClass` - may be null
      Throws:
        `java.io.IOException`
        `DicomException`
        `java.lang.NumberFormatException`

  - ### Method Detail

    - #### generateDICOMPixelDataModuleAttributesFromNRRDFile

          public static AttributeList generateDICOMPixelDataModuleAttributesFromNRRDFile​(java.io.File inputFile,
                                                                                         RawImageDescription rawImageDesc,
                                                                                         AttributeList list)
                                                                                  throws java.io.IOException,
                                                                                         DicomException,
                                                                                         java.lang.NumberFormatException

      Using a raw image input file and header, create DICOM Pixel Data Module attributes.

      Parameters:
        `inputFile` - a raw format image file
        `rawImageDesc` - a raw image description already read from the inputFile
        `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already include "better" image pixel module attributes to use return attribute list with Image Pixel Module (including Pixel Data) and other attributes added
      Throws:
        `java.io.IOException`
        `DicomException`
        `java.lang.NumberFormatException`

    - #### main

          public static void main​(java.lang.String[] arg)

      Read a raw multiframe image input format file and create an image of a specified or appropriate SOP Class.

      If multiple single frame raw images are to be converted, first cat them together in the correct order.

      Parameters:
        `arg` - eight, nine or ten parameters, the JSON formatFile, inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, and optionally the modality, and SOP Class